Bug 709139 - (CVE-2011-1709) CVE-2011-1709 gdm: URI scheme handling change in glib2 allows running default browser in GDM session
CVE-2011-1709 gdm: URI scheme handling change in glib2 allows running default...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20110531,reported=20110524,sou...
: Security
Depends On: 709508
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-30 15:35 EDT by Vincent Danen
Modified: 2015-07-31 02:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
upstream patch (3.54 KB, patch)
2011-05-30 15:36 EDT, Vincent Danen
no flags Details | Diff

  None (edit)
Description Vincent Danen 2011-05-30 15:35:19 EDT
Henne Vogelsang discovered that, as of glib 2.28, it was possible to run the default web browser (usually Firefox) in the GDM session, as the gdm user.  This resulted in uncontrolled access to the local file system and possibly other resources as the gdm user.  This is because glib 2.28 has changed the way URI handlers are registered; while it used to be controlled via gconf settings, it now is controlled via x-scheme-handler/<scheme> mime types (e.g. x-scheme-handler/http).

Statement:

Not vulnerable. This issue did not affect the versions of gdm as shipped with Red Hat Enterprise Linux 4, 5, or 6.
Comment 1 Vincent Danen 2011-05-30 15:36:23 EDT
Created attachment 501874 [details]
upstream patch
Comment 3 Vincent Danen 2011-05-30 15:38:03 EDT
This issue only affects Fedora 15; earlier releases of Fedora and Red Hat Enterprise Linux still use the old gconf-based URI-handling method that is not vulnerable to this flaw.
Comment 5 Tomas Hoger 2011-05-31 15:08:21 EDT
Public now via:
http://git.gnome.org/browse/gdm/commit/?id=d13dd72531599ab7e4c747db3b58a8c17753e08d

This fix adds a custom MIME configuration for the gdm user to ensure no default URI scheme handler is used to work around the change in glib.
Comment 6 Vincent Danen 2011-05-31 16:46:34 EDT
Created gdm tracking bugs for this issue

Affects: fedora-15 [bug 709508]

Note You need to log in before you can comment on or make changes to this bug.